Host Firewall System Enable Ruleset

Host Firewall System Enable Ruleset
Opens the firewall ports belonging to the specified ruleset.

Opens the firewall ports belonging to the specified ruleset.

If the ruleset has a managed service with a policy of 'auto' that is not running, starts the service.

Required privileges: Host.Config.NetService

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostFirewallSystem/{moId}/EnableRuleset
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostFirewallSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
EnableRulesetRequestType of type(s) application/json
Required
{
    "id": "string"
}
string
id
Required

id

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

NotFound: if the ruleset ID is unknown.

HostConfigFault: if an internal error happened when reconfigure the ruleset.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"id":"string"}' https://{api_host}/sdk/vim25/{release}/HostFirewallSystem/{moId}/EnableRuleset